tpm2_unseal(8)

NAME
tpm2_unseal - returns the data in a loaded Sealed Data Object.

SYNOPSIS
tpm2_unseal[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --item|--itemContext|--pwdi|--outfile|--passwdInHex| ]

returns the data in a loaded Sealed Data Object.

DESCRIPTION
tpm2_unseal returns the data in a loaded Sealed Data Object.

OPTIONS

-H ,--item
    item handle, handle of a loaded data object

-c ,--itemContext
    filename for item context

-P ,--pwdi
    item handle password, optional

-o ,--outfile
    Output file name, containing the unsealed data

-X ,--passwdInHex
    passwords given by any options are hex format.

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_unseal

    tpm2_unseal -H 0x81010001 -P abc123 -o <outPutFileName>
    tpm2_unseal -c item.context -P abc123 -o <outPutFileName>
    tpm2_unseal -H 0x81010001 -P 123abc -X -o <outPutFileName>